Bug 50147 - Magic
Magic
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: Other (Show other bugs)
CVS
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
ecc-bugs-int
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-27 06:34 EDT by Jesper Skov
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2001-07-27 06:34:06 EDT
Just FYI. The obscure "<PREFIX>" and "<PACKAGE>" syntax in CDL custom rules
was introduced for Churchill (which did not use GNU make other than _within_
custom make rules). Recent eCos host tools should also accept "$(PREFIX)"
and "$(REPOSITORY)/$(PACKAGE)". We should consider deprecating the
"<PREFIX>" and "<PACKAGE>" syntax.

[+update the documentation accordingly   -Jesper]

John

----- Original Message -----
From: "Jesper Skov" <jskov@cambridge.redhat.com>
Newsgroups: cygnus.project.ecc.target.changes
To: <ecc-target-changes@cygnus.com>
Sent: Friday, July 27, 2001 7:53 AM
Subject: work around se77x9 monitor problem


> Index: cdl/hal_sh_sh77x9_se77x9.cdl
> ===================================================================
> RCS file:
/local/cvsfiles/ecc/ecc/hal/sh/se77x9/current/cdl/hal_sh_sh77x9_se77x9.cdl,v
> retrieving revision 1.5
> diff -u -5 -r1.5 hal_sh_sh77x9_se77x9.cdl
> --- cdl/hal_sh_sh77x9_se77x9.cdl 2001/06/28 10:59:47 1.5
> +++ cdl/hal_sh_sh77x9_se77x9.cdl 2001/07/27 06:52:11
> @@ -353,10 +353,11 @@
>
>              make -priority 325 {
>                  <PREFIX>/bin/redboot.bin : <PREFIX>/bin/redboot.elf
>                  $(OBJCOPY) --strip-debug $< $(@:.bin=.img)
>                  $(OBJCOPY) -O srec $< $(@:.bin=.srec)
> +                $(OBJCOPY) --change-address 0x21000000 -O srec $<
$(@:.bin=.eprom.srec)
>                  $(OBJCOPY) -O binary $< $@
>              }
>          }
>      }
>  }
Comment 1 George Thomas 2001-09-10 01:53:14 EDT
Is it safe to just change these?  If so, why not just do it in bulk?
Comment 2 Alex Schuilenburg 2003-06-20 12:01:45 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=50147

Note You need to log in before you can comment on or make changes to this bug.